# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=18_View_Pan
TARGET=18_View_Pan.tif
PROJECT_FILE=/home/neil/tmp/photos/Latest/18_View_Pan.pto

# Input images
INPUT_IMAGES=/home/neil/tmp/photos/Latest/18_Pan_01.jpg /home/neil/tmp/photos/Latest/18_Pan_02.jpg /home/neil/tmp/photos/Latest/18_Pan_03.jpg /home/neil/tmp/photos/Latest/18_Pan_04.jpg /home/neil/tmp/photos/Latest/18_Pan_05.jpg /home/neil/tmp/photos/Latest/18_Pan_06.jpg /home/neil/tmp/photos/Latest/18_Pan_07.jpg /home/neil/tmp/photos/Latest/18_Pan_08.jpg 

# remapped images
REMAPPED_IMAGES=18_View_Pan0000.tif 18_View_Pan0001.tif 18_View_Pan0002.tif 18_View_Pan0003.tif 18_View_Pan0004.tif 18_View_Pan0005.tif 18_View_Pan0006.tif 18_View_Pan0007.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v  -f5000x1176


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


